# Jaxer.ScriptInfo : Object
Return to: Jaxer Framework index

Container object used during runat attribute and property processing.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.ScriptInfo Constructor() : Jaxer.ScriptInfo This is a container object used during runat attribute and property processing. This allows all runat-related state to be passed around in one simple container object. At the same time, this formalizes what is being passed around which is preferable to using a simple anonymous object. (Advanced) | Show Details | 1.0 | no

### Jaxer.ScriptInfo() : Jaxer.ScriptInfo

This is a container object used during runat attribute and property processing. This allows all runat-related state to be passed around in one simple container object. At the same time, this formalizes what is being passed around which is preferable to using a simple anonymous object.
(Advanced)

Returns

Jaxer.ScriptInfo | Returns an instance of ScriptInfo.

Visibility
  advanced

aptana_docs